<?php

namespace Drupal\social_auth_facebook_api\Controller;

use Drupal\social_auth_decoupled\SocialAuthDecoupledTrait;
use Drupal\social_auth_decoupled\SocialAuthHttpInterface;
use Drupal\social_auth_facebook\Controller\FacebookAuthController;

/**
 * Post login responses for Social Auth Google.
 */
class FacebookAuthHttpController extends FacebookAuthController implements SocialAuthHttpInterface {

  use SocialAuthDecoupledTrait;

  /**
   * {@inheritdoc}
   */
  public function authenticateUserByProfile($profile, $data) {
    return $this->userAuthenticatorHttp()
      ->authenticateUser($profile->getName(), $profile->getEmail(), $profile->getId(), $this->providerManager->getAccessToken(), $profile->getPictureUrl(), $data);
  }

}
